<!-- ============================================================================== -->
<!-- Check OS, Browser and plugin before Launching a VirtualGripp application       -->
<!--    v1 - 31 May 2012, v2 - 10 May 2013 - 3 July 2013 - 13 oct 2014              -->
<!--    by Mathieu Ippersiel (ipter.fr) and Alain Filhol (www.ill.eu)               -->
<!--    with the help of Coralie Bages (www.ill.eu)                                 -->
<!--    ©2012-2014 ILL & IPTER                                                      -->
<!-- ============================================================================== -->
<!-- User defined parameters                                                        -->
<!--    RequiredMinVersion  minimum required version of the plugin                  -->
<!--    VGfilePath          the URL to the VirtualGrip launcher (N4S.html)          -->
<!--    VGfileNames         names of the VirtualGrip files (xxx.vg)                 -->
<!--    xxxMacInstaller     URLs for the VirtualGrip installers                     -->
<!-- Parameters passed through the calling URL                                      -->
<!--    LanguageCode: a 2 character code (e.g.: EN FR ES IT or RU)                  -->
<!--              English is set as the default language                            -->
<!--    ActivityName: the name of the VirtualGrip activity to be launched           -->
<!-- ============================================================================== -->
<!-- Version en Français par Alain Filhol.                                          -->
<!-- English translation by Susan Tinniswood.                                       -->
<!-- Deutsche Übersetzung: Roland May.                                              -->
<!-- Перевод на английский язык Valery Nesvizhevsky.                                -->
<!-- Traduzione italiana di Lucia Capogna.                                          -->
<!-- Traducción en Español por Miguel Angel Gonzalez y Leidy Hoyos.                 -->
<!-- Translation to chinese by Jinyan Liu (2014) 中文版本翻译由柳金彦完成                       -->
<!-- ============================================================================== -->
<!-- Windows:                                                                       -->
<!--   SpokPlayer :  C:\Program Files (x86)\Ipter         (obsolete)                -->
<!--   VirtualGrip:  C:\Users\username\AppData\Local\Ipter                          -->
<!-- OS X:                                                                          -->
<!--   /Library/Internet Plug-Ins or ~/Library/Internet Plug-Ins                    -->
<!-- ============================================================================== -->
<!-- Getting a list of installed plugins:                                           -->
<!--   FireFox, Chrome, Opera : about:plugins                                       -->
<!--   Safari : menu "Help" / "Installed plug-ins"                                  -->
<!--   Internet Explorer: ???? (no plugins)                                         -->
<!-- ============================================================================== -->


//---------- User defined parameters -------------------------------------------------------------
// VirtualGrip: minimum required version for the plugin
var RequiredMinVersion 	= [1, 5, 5];
// File path of the VirtualGrip launcher "N4S.html"
var VGfilePath = "./media/N4S-offline.html";
// VirtualGrip file names
var VGfileNames = ["N4S", "N4S_ThALES", "N4S_Magnons", "N4S_GRANIT"];
// URLs for the installers
var MacInstaller 		= "http://ipter.fr/wp-content/uploads/VirtualGripPlayerPlugin_1.6.1.pkg";
var WinInstaller 		= "http://ipter.fr/wp-content/uploads/setup_VirtualGripPlayer_1.6.1.exe";
var WinUpdater 			= "http://ipter.fr/wp-content/uploads/update_VirtualGripPlayer_1.6.1.exe";
var Linux32Deb			= "http://ipter.fr/wp-content/uploads/VirtualGripPlayerPlugin-1.6.1.i386.deb";
var Linux64Deb			= "http://ipter.fr/wp-content/uploads/VirtualGripPlayerPlugin-1.6.1.amd64.deb";
//-------------------------------------------------------------------------------------------------

// The defaut language is English
var LanguageCode = "EN";
// The default activity name is = "Neutrons4Science"
var ActivityName = "Neutrons4Science";

//-------------------------------------------------------------------------------------------------
// Internet Explorer does not accept the <hr /> tag in document.getElementById("checkMsg").innerHTML
var ifIE = (navigator.appName == "Microsoft Internet Explorer");

// alert("appName: " + navigator.appName + "\nuserAgent: " + navigator.userAgent + "\nplatform: " + navigator.platform  + "\noscpu: " + navigator.oscpu + "\nonline: " + navigator.online + "\nsi IE: " + ifIE);

	// ----- Initializing buttons when page is loaded
	// --- how many buttons
	var nb_buttons = document.getElementsByName('bt');
	// --- get parameters from the ID string of each button
	for (var i = 0; i < nb_buttons.length; i++) {
		SplitString(nb_buttons[i].id.substring(2).split("_"));   
		// --- set the title of the button
		if (LanguageCode == "FR"){
			nb_buttons[i].value= "Cliquez pour lancer \'" + ActivityName +"\'";
		}else	if (LanguageCode == "DE"){
			nb_buttons[i].value= "Klicken Sie, um \'" + ActivityName + "\'" + " zu starten";
		}else if(LanguageCode == "ES"){
			nb_buttons[i].value = "Haz clic para lanzar \'" + ActivityName + "\'";
		}else if(LanguageCode == "IT"){
			nb_buttons[i].value = "Fare clic per avviare \'" + ActivityName + "\'";
		}else if(LanguageCode == "RU"){
			nb_buttons[i].value = "Нажмите, чтобы запустить \'" + ActivityName + "\'";
		}else if (LanguageCode == "ZH"){
			nb_buttons[i].value="点击安装\'" + ActivityName + "\'";
		}else {
			nb_buttons[i].value="Start the animation \'" + ActivityName + "\'";
		}
	}


	//// -------------------------------- Object BrowserDetect -----------------------------
	//// Get browser name and version number
	//// -------------------------------------------------------------------------------------
		var BrowserDetect = {
			init: function () {
				this.browser = this.searchString(this.dataBrowser) || "?";
				this.version = this.searchVersion(navigator.userAgent) || this.searchVersion(navigator.appVersion) || "?";
				this.OS = "Unknown";
				
//			alert("BrowserDetect - browser: "+this.browser+"  version: "+this.version+"  platform: "+navigator.platform+"  userAgent:iPad: "+navigator.userAgent+"  OS: "+this.OS);

				if (navigator.platform.indexOf("Win")!=-1) {
					this.OS="Windows";
				} else if (navigator.platform.indexOf("Mac68k")!=-1) {
					this.OS="Mac68k";
				} else if (navigator.platform.indexOf("MacPPC")!=-1) {
					this.OS="MacPPC";
				} else if (navigator.platform.indexOf("Mac")!=-1) {
					this.OS="Mac";
				} else if (
						(navigator.userAgent.indexOf("iPhone")!=-1) || (navigator.userAgent.indexOf("iPod")!=-1) || (navigator.userAgent.indexOf("iPad")!=-1) || 
						(navigator.platform.indexOf("iPhone")!=-1) || (navigator.platform.indexOf("iPod")!=-1) || (navigator.platform.indexOf("iPad")!=-1) )
				{
					this.OS="iPad/iPhone/iPod";
				} else if (navigator.userAgent.indexOf("Android")!=-1) {
					this.OS="Android";
				} else if (navigator.platform.indexOf("Linux")!=-1) {
					this.OS="Linux";
				}
			},
			searchString: function (data) {
				for (var i=0;i<data.length;i++)	{
					var dataString = data[i].string;
					var dataProp = data[i].prop;
					this.versionSearchString = data[i].versionSearch || data[i].identity;
					if (dataString) {
						if (dataString.indexOf(data[i].subString) != -1)
							return data[i].identity;
					}
					else if (dataProp)
						return data[i].identity;
				}
			},
			searchVersion: function (dataString) {
				var index = dataString.indexOf(this.versionSearchString);
				if (index == -1) return;
				return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
			},
			dataBrowser: [	{ string: navigator.userAgent,
							  subString: "Chrome",
							  identity: "Chrome" },
							{ string: navigator.userAgent,
							  subString: "OmniWeb",
							  versionSearch: "OmniWeb/",
							  identity: "OmniWeb" },
							{ string: navigator.vendor,
							  subString: "Apple",
							  identity: "Safari",
							  versionSearch: "Version" },
							{ prop: window.opera,
							  identity: "Opera" },
							{ string: navigator.vendor,
							  subString: "iCab",
							  identity: "iCab" },
							{ string: navigator.vendor,
							  subString: "KDE",
							  identity: "Konqueror" },
							{ string: navigator.userAgent,
							  subString: "Firefox",
							  identity: "Firefox" },
							{ string: navigator.vendor,
							  subString: "Camino",
							  identity: "Camino" },
							{ string: navigator.userAgent,		// for newer Netscapes (6+)
							  subString: "Netscape",
							  identity: "Netscape" },
							{ string: navigator.userAgent,
							  subString: "MSIE",
							  identity: "Explorer",
							  versionSearch: "MSIE" },
							{ string: navigator.userAgent,
							  subString: "Gecko",
							  identity: "Mozilla",
							  versionSearch: "rv" },
							{ string: navigator.userAgent, 		// for older Netscapes (4-)
							  subString: "Mozilla",
							  identity: "Netscape",
							  versionSearch: "Mozilla" }   ]
		};
		BrowserDetect.init();


	//// ----------------------- function checkMyComputer -----------------------------------
	//// Checks both the OS and Browser types and versions
	//// Returned parameters are : 
	//// The following function can be replaced by an inclusion of the following file :
	////    /fileadmin/users_files/multimedia/Animations/VGScripts/VGCheckComputer.js
	////  -----------------------------------------------------------------------------------
	function checkMyComputer(id)
	{
		var minMajorVersion = RequiredMinVersion[0];
		var minMinorVersion = RequiredMinVersion[1];
		var minPatchVersion = RequiredMinVersion[2];

	//====================================================
	// URL of the VirtualGrip launcher + language and activity file name as parameters
	//====================================================
	// Again, get parameters from the ID string of the button
	SplitString(id.substring(2).split("_"));

	// Set the name of the VirtualGrip file to be launched
	var ActivityCode = " ";
	var temp = ActivityName.toUpperCase();
	if(temp=="THALES"){
		ActivityCode = VGfileNames[1];
	}else if(temp=="MAGNONS"){
		ActivityCode = VGfileNames[2];
	}else if(temp=="GRANIT"){
		ActivityCode = VGfileNames[3];
	}else{
		ActivityCode = VGfileNames[0];
	}
	var ActivityFilePath = VGfilePath + "?language="+LanguageCode+"&activity="+ActivityCode;

	//====================================================
	// Get the plugin version
	//====================================================
		var infos = getVGVersion();
		var envIsOK = true;

	//====================================================
	// Check the OSs and the browsers
	//====================================================
		
		
		//---------- Mac OS -----------------------------------------------------------------------
		if (BrowserDetect.OS == "Mac")
		{
			var showVersionInfo = false;
	
			if( (BrowserDetect.browser != "Safari") && (BrowserDetect.browser != "Chrome") && (BrowserDetect.browser != "Firefox")  && (BrowserDetect.browser != "Opera") )
				showVersionInfo = true;
			if( ((BrowserDetect.browser == "Safari") && (BrowserDetect.version < 4)) ||
			    ((BrowserDetect.browser == "Firefox") && (BrowserDetect.version < 4)) )
				showVersionInfo = true;
	
			if(showVersionInfo)
			{
				if(!ifIE){
					document.getElementById("checkMsg").innerHTML = '<hr />';
				}else{
					document.getElementById("checkMsg").innerHTML = ' ';}

				if(LanguageCode == "FR"){
					document.getElementById("checkMsg").innerHTML += 'Pour ex&eacute;cuter <b>' + ActivityName + '</b> sur votre ordinateur, utilisez l&apos;un des navigateurs suivants :';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Safari, version 4.0 ou plus r&eacute;cente,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, version 4.0 ou plus r&eacute;cente,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, version 16 ou plus r&eacute;cente,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Opera, version 10.60 ou plus r&eacute;cente.</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Veuiller donc r&eacute;ouvrir cette page avec l&apos;un d&apos;entre eux.';
				}
				else if(LanguageCode == "DE"){
					document.getElementById("checkMsg").innerHTML += 'Benutzen Sie einen der folgenden Browser f&uuml;r <b>' + ActivityName + '</b> :';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Safari, version 4.0 oder h&ouml;her,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, version 4.0 oder h&ouml;her,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, version 16 oder h&ouml;her,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Opera, version 10.60 oder h&ouml;her.</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />&Ouml;ffnen Sie bitte diese Seite mit einem dieser Browser.';
				}
					else if(LanguageCode == "ES"){
					document.getElementById("checkMsg").innerHTML += 'Para ejecutar <b>' + ActivityName + '</b> en tu ordenador, utiliza uno de los navegadores siguientes:';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Safari, versi&oacute;n  4.0 o m&aacute;s reciente,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, versi&oacute;n  4.0 o m&aacute;s reciente,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, versi&oacute;n  16 o m&aacute;s reciente,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Opera, versi&oacute;n  10.60 o m&aacute;s reciente.</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Por favor, reabra esta p&aacute;gina con alguno de estos navegadores.';
				}
				else if(LanguageCode == "IT"){
					document.getElementById("checkMsg").innerHTML += 'Per far girare <b>' + ActivityName + '</b> sul vostro computer, utilizzate uno dei seguenti navigatori:';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Safari, versione 4.0 o pi&ugrave; recente.,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, versione  4.0 o o pi&ugrave; recente.,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, versione  16 o o pi&ugrave; recente.,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Opera, versione  10.60 o pi&ugrave; recente..</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Riaprite quindi questa pagina con uno di essi.';
				}
				else if(LanguageCode == "RU"){
					document.getElementById("checkMsg").innerHTML += 'Для запуска программы <b>' + ActivityName + '</b> на Вашем компьютере, используйте один из следующих браузеров:';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Safari, версия 4.0 или более поздняя,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, версия 4.0 или более поздняя,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, версия 16 или более поздняя,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Opera, версия 10.60 или более поздняя,</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Пожалуйста, обновите страницу с одним из них.';
				}
				else if(LanguageCode == "ZH"){
					document.getElementById("checkMsg").innerHTML += '要在您的计算机上运行<b>' + ActivityName + '</b>请使用以下浏览器之一：';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Safari 4.0 或以上版本</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox 4.0 或以上版本</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome 16 或以上版本</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Opera 10.60 或以上版本.</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />因此，请用它们其中之一重新打开这个页面。';
				}
				else{
					document.getElementById("checkMsg").innerHTML += 'To run <b>' + ActivityName + '</b> on your computer please use one of the following browsers:';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Safari, release 4.0 or higher,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, release 4.0 or higher,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, release 16 or higher,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Opera, release 10.60 or higher.</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Thus please reopen this page with one among them.';
				}
				
				if (!ifIE) {document.getElementById("checkMsg").innerHTML += '<hr />';}
				envIsOK = false;
			}
		}
		
		//---------- Mac68k ou MacPPC ---------------------------------------------------------------
		else if ( (BrowserDetect.OS == "Mac68k") || (BrowserDetect.OS == "MacPPC") )
		{
			if(!ifIE){
				document.getElementById("checkMsg").innerHTML = '<hr />';
			}else{
				document.getElementById("checkMsg").innerHTML = ' ';}
			
			// Mac 68000 and PowerPC are not supported
			if(LanguageCode == "FR"){
				document.getElementById("checkMsg").innerHTML += 'D&eacute;sol&eacute mais votre ordinateur est trop ancien.';
				document.getElementById("checkMsg").innerHTML += '<br /><b>' + ActivityName + '</b> n&eacute;cessite OS&nbsp;X pour l&apos;architecture Intel.';
			}
			else if(LanguageCode == "DE"){
				document.getElementById("checkMsg").innerHTML += 'Leider ist Ihr Rechner zu alt.';
				document.getElementById("checkMsg").innerHTML += '<br /><b>' + ActivityName + '</b> ben&ouml;tigt OS X mit Intel-Architektur.';
			}
			else if(LanguageCode == "ES"){
				document.getElementById("checkMsg").innerHTML += 'Lo siento pero su ordenador es demasiado viejo.';
				document.getElementById("checkMsg").innerHTML += '<br /><b>' + ActivityName + '</b> necesita OS&nbsp;X para la arquitectura Intel.';
			}
			else if(LanguageCode == "IT"){
				document.getElementById("checkMsg").innerHTML += 'Spiacenti ma il computer &egrave; troppo vecchio.';
				document.getElementById("checkMsg").innerHTML += '<br /><b>' + ActivityName + '</b> necessita di OS&nbsp;X per l\'architettura Intel.';
			}
			else if(LanguageCode == "RU"){
				document.getElementById("checkMsg").innerHTML += 'К сожалению, ваш компьютер слишком стар.';
				document.getElementById("checkMsg").innerHTML += '<br />\'' + ActivityName + ' может работать только под управлением OS&nbsp;X в архитектуре Intel.';
			}
			else if(LanguageCode == "ZH"){
				document.getElementById("checkMsg").innerHTML += '对不起，您的电脑太老了。';
				document.getElementById("checkMsg").innerHTML += '<br /><b>' + ActivityName + '</b> 只能在英特尔架构下的OS X上运行。';
			}
			else {
				document.getElementById("checkMsg").innerHTML += 'Sorry but your computer is too old.';
				document.getElementById("checkMsg").innerHTML += '<br /><b>' + ActivityName + '</b> can only run on OS&nbsp;X for Intel architecture.';
			}
			
			if (!ifIE) {document.getElementById("checkMsg").innerHTML += '<hr />';}
			envIsOK = false;
		}
	
		//---------- Linux --------------------------------------------------------------------------
		else if (BrowserDetect.OS == "Linux")
		{
			var showVersionInfo = false;
	
			if( (BrowserDetect.browser != "Chrome") && (BrowserDetect.browser != "Firefox")  )
				showVersionInfo = true;
			if( (BrowserDetect.browser == "Firefox") && (BrowserDetect.version < 4) )
				showVersionInfo = true;

			if(showVersionInfo)
			{
				if(!ifIE){
					document.getElementById("checkMsg").innerHTML = '<hr />';
				}else{
					document.getElementById("checkMsg").innerHTML = ' ';}
				
				if(LanguageCode == "FR"){
					document.getElementById("checkMsg").innerHTML += 'Pour ex&eacute;cuter <b>' + ActivityName + '</b> sur votre ordinateur, utilisez :';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, version 4.0 ou plus r&eacute;cente,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, version 16 ou plus r&eacute;cente,</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Veuiller donc r&eacute;ouvrir cette page avec l&apos;un d&apos;entre eux.';
				}
				else if(LanguageCode == "DE"){
					document.getElementById("checkMsg").innerHTML += 'Benutzen Sie einen der folgenden Browser f&uuml;r <b>' + ActivityName + '</b> :';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, versi&oacute;n 4.0 oder h&ouml;her,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, versi&oacute;n 16 oder h&ouml;her,</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />&Ouml;ffnen Sie bitte diese Seite mit einem dieser Browser.';
				}
				else if(LanguageCode == "ES"){
					document.getElementById("checkMsg").innerHTML += 'Para ejecutar <b>' + ActivityName + '</b> en tu ordenador, utiliza uno de los navegadores siguientes:';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, versi&oacute;n 4.0 o m&aacute;s reciente,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, versi&oacute;n 16 o m&aacute;s reciente,</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Por favor, reabra esta p&aacute;gina con alguno de estos navegadores.';
				}
				else if(LanguageCode == "IT"){
					document.getElementById("checkMsg").innerHTML += 'Per far girare <b>' + ActivityName + '</b> e sul vostro computer, utilizzate uno dei seguenti navigatori:';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, versione 4.0 o pi&ugrave; recente,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, versione 16 o pi&ugrave; recente,</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Riaprite quindi questa pagina con uno di essi.';
				}
				else if(LanguageCode == "RU"){
					document.getElementById("checkMsg").innerHTML += 'Для запуска программы <b>' + ActivityName + '</b> на Вашем компьютере, используйте один из следующих браузеров:';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, версия 4.0 или более поздняя,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, версия 16 или более поздняя,</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Пожалуйста, обновите страницу с одним из них.';
				}
				else if(LanguageCode == "ZH"){
					document.getElementById("checkMsg").innerHTML += '要在您的计算机上运行 <b>' + ActivityName + '</b> 请使用以下浏览器之一：';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox 4.0 或以上版本</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome 16 或以上版本</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />因此，请用它们其中之一重新打开这个页面。';
				}
				else {
					document.getElementById("checkMsg").innerHTML += 'To run <b>' + ActivityName + '</b> on your computer please use one of the following browsers:';
					document.getElementById("checkMsg").innerHTML += '<ul>';
					document.getElementById("checkMsg").innerHTML += '<li>Firefox, release 4.0 or higher,</li>';
					document.getElementById("checkMsg").innerHTML += '<li>Chrome, release 16 and higher,</li>';
					document.getElementById("checkMsg").innerHTML += '</ul>';
					document.getElementById("checkMsg").innerHTML += '<br />Thus, please reopen this page with one among them.';
				}

				if (!ifIE) {document.getElementById("checkMsg").innerHTML += '<hr />';}
				envIsOK = false;
			}
		}
		//---------- Android ------------------------------------------------------------------------
		else if (BrowserDetect.OS == "Android")
		{
			if(!ifIE){
				document.getElementById("checkMsg").innerHTML = '<hr />';
			}else{
				document.getElementById("checkMsg").innerHTML = ' ';}

			if(LanguageCode == "FR"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> pour Android n&apos;est pas une application web mais une application ind&eacute;pendante.';
				document.getElementById("checkMsg").innerHTML += '<br />Veuillez la t&eacute;l&eacute;charger depuis Google Play.';
			}
			else if(LanguageCode == "DE"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> f&uuml;r Android ist keine Web-Applikation, sondern eine eigenst&auml;ndige App.';
				document.getElementById("checkMsg").innerHTML += '<br />Bitte laden Sie es von Google Play herunterladen.';
			}
			else if(LanguageCode == "ES"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> para Android no es una aplicaci&oacute;n web, sino una aplicaci&oacute;n independiente.';
				document.getElementById("checkMsg").innerHTML += '<br />Por favor, desc&aacute;rguela de Google Play.';
			}
			else if(LanguageCode == "IT"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> per Android non &egrave; un\'applicazione web ma un\'applicazione indipendente.';
				document.getElementById("checkMsg").innerHTML += '<br />Per favore, scaricatela da Google Play.';
			}
			else if(LanguageCode == "RU"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> для Android является не веб-приложением, а отдельным приложением.';
				document.getElementById("checkMsg").innerHTML += '<br />Пожалуйста, загрузите его с Google Play.';
			}
			else if(LanguageCode == "ZH"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> 安卓不是一个网页应用程序，而是一个独立的应用程序。';
				document.getElementById("checkMsg").innerHTML += '<br />请从Google Play下载';
			}
			else {
				document.getElementById("checkMsg").innerHTML += 'For Android <b>' + ActivityName + '</b> is a standalone application instead of a web activity.';
				document.getElementById("checkMsg").innerHTML += '<br />Please download it from Google Play.';
			}

			if (!ifIE) {document.getElementById("checkMsg").innerHTML += '<hr />';}
			envIsOK = false;
		}
		
		//---------- iPad/iPhone/iPod ---------------------------------------------------------------
		else if (BrowserDetect.OS == "iPad/iPhone/iPod")
		{
			if(!ifIE){
				document.getElementById("checkMsg").innerHTML = '<hr />';
			}else{
				document.getElementById("checkMsg").innerHTML = ' ';}

			if(LanguageCode == "FR"){
				document.getElementById("checkMsg").innerHTML += 'Sous iOS, <b>' + ActivityName + '</b> est une application ind&eacute;pendante.';
				document.getElementById("checkMsg").innerHTML += '<br />Veuillez la t&eacute;l&eacute;charger depuis l\'App Store de Apple.';
			}
			else if(LanguageCode == "DE"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> f&uuml;r iOS ist keine Web-Applikation, sondern eine eigenst&auml;ndige App.';
				document.getElementById("checkMsg").innerHTML += '<br />Bitte laden Sie es von App Store von Apple herunterladen.';
			}
			else if(LanguageCode == "ES"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> para iOS no es una aplicaci&oacute;n web, sino una aplicaci&oacute;n independiente.';
				document.getElementById("checkMsg").innerHTML += '<br />Por favor, desc&aacute;rguela de App Store de Apple.';
			}
			else if(LanguageCode == "IT"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> per OS&nbsp;X non &egrave; un\'applicazione web ma un\'applicazione indipendente.';
				document.getElementById("checkMsg").innerHTML += '<br />Per favore, scaricatela da Google Play.';
			}
			else if(LanguageCode == "RU"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> для iOS является не веб-приложением, а отдельным приложением.';
				document.getElementById("checkMsg").innerHTML += '<br />Пожалуйста, загрузите его с App Store Apple.';
			}
			else if(LanguageCode == "ZH"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> iOS不是一个网页应用程序，而是一个独立的应用程序。';
				document.getElementById("checkMsg").innerHTML += '<br />请从Apple Store下载';
			}
			else {
				document.getElementById("checkMsg").innerHTML += 'For iOS <b>' + ActivityName + '</b> is a standalone application instead of a web activity.';
				document.getElementById("checkMsg").innerHTML += '<br />Please download it from the App Store of Apple.';
			}

			if (!ifIE) {document.getElementById("checkMsg").innerHTML += '<hr />';}
			envIsOK = false;
		}	
		//---------- Windows -------------------------------------------------------------------------
		// no special requirements, all versions of IE are supported.
		
		//---------- .not. Windows -------------------------------------------------------------------
		else if(BrowserDetect.OS != "Windows")
		{		
			if(!ifIE){
				document.getElementById("checkMsg").innerHTML = '<hr />';
			}else{
				document.getElementById("checkMsg").innerHTML = ' ';}

			if(LanguageCode == "FR"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> n\'est pas disponible pour cet environnement.';
				document.getElementById("checkMsg").innerHTML += '<br />Veuillez r&eacute;ouvrir cette page &agrave; partir d\'un ordinateur Linux, OS&nbsp;X ou Windows.';
			}
			else if(LanguageCode == "DE"){
					document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> ist f&uuml;r dieses System nicht verf&uuml;gbar. ';
					document.getElementById("checkMsg").innerHTML += '<br />Bitte &ouml;ffnen Sie diese Seite mit einem Linux-, OS X- oder Windows-Rechner.';
			}
			else if(LanguageCode == "ES"){
					document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> no est&acute; disponible para este sistema operativo.';
					document.getElementById("checkMsg").innerHTML += '<br />Por favor, reabra esta p&acute;gina desde un ordenador Linux, OS&nbsp;X o Windows.';
			}
			else if(LanguageCode == "IT"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> non &egrave; disponibile per quest\'ambiente.';
				document.getElementById("checkMsg").innerHTML += '<br />Vogliate riaprire questa pagina a partire da un computer.';
			}
			else if(LanguageCode == "RU"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> недоступна для этой среды.';
				document.getElementById("checkMsg").innerHTML += '<br />Пожалуйста, обновите страницу с компьютера под управлением Linux, OS&nbsp;X или Windows computer.';
			}
			else if(LanguageCode == "ZH"){
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> 在这个环境下不能运行。';
				document.getElementById("checkMsg").innerHTML += '<br />请用安装有 Linux, OS&nbsp;X，或者Windows的系统重新打开页面。';
			}
			else {
				document.getElementById("checkMsg").innerHTML += '<b>' + ActivityName + '</b> is not supported on this environment.';
				document.getElementById("checkMsg").innerHTML += '<br />Please reopen this page from either a Linux, OS&nbsp;X or Windows computer.';
			}

			if (!ifIE) {document.getElementById("checkMsg").innerHTML += '<hr />';}
			envIsOK = false;
		}
	
	
	//====================================================
	// If OS and Browsers are OK, check the plugin
	//====================================================
	
	//========= VirtualGrip ? If not installed, display the suitable download link ======================
		if( envIsOK && (infos[0] == false) )
		{
			if(!ifIE){
				document.getElementById("checkMsg").innerHTML = '<hr />';
			}else{
				document.getElementById("checkMsg").innerHTML = ' ';}
			
			if(LanguageCode == "FR"){
				document.getElementById("checkMsg").innerHTML +='Le module compl&eacute;mentaire VirtualGrip est manquant. Veuillez le t&eacute;l&eacute;charger, l\'installer, puis relancez votre navigateur web.';
			}
			else if(LanguageCode == "DE"){
				document.getElementById("checkMsg").innerHTML +='Das Modul (Plugin) VirtualGrip fehlt auf Ihrem Rechner. Bitte laden und installieren Sie es und starten Sie Ihren Browser erneut.';
			}
			else if(LanguageCode == "ES"){
				document.getElementById("checkMsg").innerHTML +='El m&oacute;dulo VirtualGrip no se encuentra en su ordenador. Por favor, proceda a su descarga e instalaci&oacute;n y reinicie su navegador web.';
			}
			else if(LanguageCode == "IT"){
				document.getElementById("checkMsg").innerHTML +='Il modulo complementare VirtualGrip è assente. Vogliate scaricarlo, istallarlo, poi rilanciare il vostro navigatore web.';
			}
			else if(LanguageCode == "RU"){
				document.getElementById("checkMsg").innerHTML += 'Не хватает дополнительного модуля VirtualGrip. Пожалуйста, скачайте его, установите и перезапустите веб-браузер.';
			}
			else if(LanguageCode == "ZH"){
				document.getElementById("checkMsg").innerHTML +='您的计算机缺少VirtualGrip的插件。请下载，安装并重新启动您的网页浏览器。';
			}
			else {
				document.getElementById("checkMsg").innerHTML += 'The plugin VirtualGrip is missing on your computer. Please download it, install it and then restart your web browser.';
			}
	
			//---------- Mac OS -----------------------------------------------------------------------
			if (BrowserDetect.OS == "Mac")
			{
				if(LanguageCode == "FR"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Cliquez ici pour installer la version OS&nbsp;X</a>, ou bien visitez <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "DE"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Klicken Sie hier, um die OS X-Version zu installieren</a>, oder besuchen Sie <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ES"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Haga click aqu&iacute; para instalar la versi&oacute;n OS&nbsp;X</a>, o visite la p&aacute;gina <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "IT"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Cliccate qui per istallare la versione OS&nbsp;X</a>, o allora visitate <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "RU"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Нажмите здесь, чтобы установить версию для OS&nbsp;X</a>, либо посетите <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ZH"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">点击这里安装 OS&nbsp;X 版本</a>，或者访问网页 <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else {
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Click here to install the OS&nbsp;X release</a>, or visit <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
			}

			//---------- Linux -------------------------------------------------------------------------
			else if (BrowserDetect.OS == "Linux")
			{
				if(LanguageCode == "FR"){
					document.getElementById("checkMsg").innerHTML += '<br />Cliquez ici pour installer soit <a href="' + Linux32Deb + '">la version Linux 32 bits</a>, soit <a href="' + Linux64Deb + '">la version Linux 64 bits</a>, ou bien visitez <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "DE"){
					document.getElementById("checkMsg").innerHTML += '<br />Klicken Sie hier, um entweder <a href="' + Linux32Deb + '">die 32-bit </a> oder <a href="' + Linux64Deb + '">die 64-bit</a>Linux-Version zu installieren, oder besuchen Sie <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ES"){
					document.getElementById("checkMsg").innerHTML += '<br />Haga click aqu&iacute; para instalar <a href="' + Linux32Deb + '">la versi&oacute;n Linux 32 bits</a> o <a href="' + Linux64Deb + '">la versión Linux 64 bits</a>, o visite la p&aacute;gina <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "IT"){
					document.getElementById("checkMsg").innerHTML += '<br />Cliccate qui per istallare sia <a href="' + Linux32Deb + '">la versione Linux 32 bit</a>, sia <a href="' + Linux64Deb + '">la versione Linux 64 bit</a>, o allora visitate <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "RU"){
					document.getElementById("checkMsg").innerHTML += '<br />Нажмите здесь, чтобы установить либо <a href="' + Linux32Deb + '">32-битную версию Linux</a> либо <a href="' + Linux64Deb + '">64-битную версию Linux</a>, либо посетите  <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ZH"){
					document.getElementById("checkMsg").innerHTML += '<br />点击这里来安装 <a href="' + Linux32Deb + '">32位的Linux</a>或<a href="' + Linux64Deb + '">64位的Linux</a>，或者访问 <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else {
					document.getElementById("checkMsg").innerHTML += '<br />Click here to install either <a href="' + Linux32Deb + '">the Linux 32 bits release</a> or <a href="' + Linux64Deb + '">the Linux 64 bits release</a>, or visit <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
			}

			//---------- Windows -----------------------------------------------------------------------
			else if (BrowserDetect.OS == "Windows")
			{
				if(LanguageCode == "FR"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinInstaller + '">Click here to install the Windows release</a>, or visit <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "DE"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinInstaller + '">Klicken Sie hier, um die Windows-Version zu installieren</a>, oder besuchen Sie <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ES"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinInstaller + '">Haga click aqu&iacute; para instalar la versi&oacute;n Windows</a>, o visite la p&aacute;gina <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "IT"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinInstaller + '">Cliccate qui per istallare la versione Windows</a>, o allora visitate <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "RU"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinInstaller + '">Нажмите здесь, чтобы установить версию для Windows</a>, либо посетите <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ZH"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinInstaller + '">点击这里安装 Windows 版本</a>，或者访问网页 <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
				else {
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinInstaller + '">Cliquez ici pour installer la version Windows</a>, ou bien visitez <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
			}
			
			if (!ifIE) {document.getElementById("checkMsg").innerHTML += '<hr />';}
			envIsOK = false;
		}
		
		//========= VirtualGrip : not the proper revision ========================
		else if ( envIsOK && (infos[0]) &&
						( (infos[1] < RequiredMinVersion[0]) ||
						((infos[1] == RequiredMinVersion[0]) && (infos[2] < RequiredMinVersion[1])) ||
						((infos[1] == RequiredMinVersion[0]) && (infos[2] == RequiredMinVersion[1]) && (infos[3] < RequiredMinVersion[2])) ) )
		{
			if(!ifIE){
				document.getElementById("checkMsg").innerHTML = '<hr />';
			}else{
				document.getElementById("checkMsg").innerHTML = ' ';}
			
			if(LanguageCode == "FR"){
				document.getElementById("checkMsg").innerHTML += 'Votre version du module compl&eacute;mentaire VirtualGrip est trop ancienne.';
				document.getElementById("checkMsg").innerHTML += '<br />Version actuelle : '+infos[1]+'.'+infos[2]+'.'+infos[3]+' ; Version mininale requise : '+RequiredMinVersion[0]+'.'+RequiredMinVersion[1]+'.'+RequiredMinVersion[2];
			}
			else if(LanguageCode == "DE"){
				document.getElementById("checkMsg").innerHTML += 'Ihre Version des VirtualGrip-Moduls ist veraltet.';
				document.getElementById("checkMsg").innerHTML += '<br />Aktuelle Version: '+infos[1]+'.'+infos[2]+'.'+infos[3]+' ; Ben&ouml;tigte Version mindestens: '+RequiredMinVersion[0]+'.'+RequiredMinVersion[1]+'.'+RequiredMinVersion[2];
			}
			else if(LanguageCode == "ES"){
				document.getElementById("checkMsg").innerHTML += 'Su versi&oacute;n del m&oacute;dulo complementario VirtualGrip es demasiado vieja.';
				document.getElementById("checkMsg").innerHTML += '<br />Versi&oacute;n actual : '+infos[1]+'.'+infos[2]+'.'+infos[3]+' ; Versi&oacute;n m&iacute;nima requerida : '+RequiredMinVersion[0]+'.'+RequiredMinVersion[1]+'.'+RequiredMinVersion[2];
			}
			else if(LanguageCode == "IT"){
				document.getElementById("checkMsg").innerHTML += 'La vostra versione del modulo complementare VirtualGrip &egrave; troppo vecchia';
				document.getElementById("checkMsg").innerHTML += '<br />Versione attuale: '+infos[1]+'.'+infos[2]+'.'+infos[3]+' ;  Versione minima richiesta: '+RequiredMinVersion[0]+'.'+RequiredMinVersion[1]+'.'+RequiredMinVersion[2];
			}
			else if(LanguageCode == "RU"){
				document.getElementById("checkMsg").innerHTML += 'Ваша версия дополнительного модуля VirtualGrip устарела.';
				document.getElementById("checkMsg").innerHTML += '<br />Текущая версия: '+infos[1]+'.'+infos[2]+'.'+infos[3]+' ; Требуемая минимальная версия: '+RequiredMinVersion[0]+'.'+RequiredMinVersion[1]+'.'+RequiredMinVersion[2];
			}
			else if(LanguageCode == "ZH"){
				document.getElementById("checkMsg").innerHTML += '您没有VirtualGrip插件的正确版本。';
				document.getElementById("checkMsg").innerHTML += '<br />目前版本：'+infos[1]+'.'+infos[2]+'.'+infos[3]+' ; 最低版本要求：'+RequiredMinVersion[0]+'.'+RequiredMinVersion[1]+'.'+RequiredMinVersion[2];
			}
			else {
				document.getElementById("checkMsg").innerHTML += 'You do not have the proper revision of the VirtualGrip plugin.';
				document.getElementById("checkMsg").innerHTML += '<br />Current version: '+infos[1]+'.'+infos[2]+'.'+infos[3]+' ; Required version: '+RequiredMinVersion[0]+'.'+RequiredMinVersion[1]+'.'+RequiredMinVersion[2]+' or higher';
			}

			//---------- Mac OS -----------------------------------------------------------------------
			if (BrowserDetect.OS == "Mac")
			{
				if(LanguageCode == "FR"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Cliquez ici pour mettre &agrave; jour la version OS&nbsp;X</a>, ou bien visitez <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "DE"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Klicken Sie hier, um die OS X-Version zu aktualisieren</a>, oder besuchen Sie <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ES"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Haga click aquí para actualizar la versi&oacute;n OS&nbsp;X</a>, o visite la p&aacute;gina <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "IT"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Cliccate qui per aggiornare la versione OS&nbsp;X</a>, o allora visitate <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "RU"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Нажмите здесь, чтобы обновить версию для OS&nbsp;X</a>, либо посетите <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ZH"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">点击这里更新 OS&nbsp;X 版本</a>，或者访问 <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else {
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + MacInstaller + '">Click here to upgrade the OS&nbsp;X release</a>, or visit <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
			}

			//---------- Linux ------------------------------------------------------------------------
			else if (BrowserDetect.OS == "Linux")
			{
				if(LanguageCode == "FR"){
					document.getElementById("checkMsg").innerHTML += '<br />Cliquez ici pour mettre &agrave; jour soit <a href="' + Linux32Deb + '">la version Linux 32 bits</a>, soit <a href="' + Linux64Deb + '">la version Linux 64 bits</a>, ou bien visitez <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "DE"){
					document.getElementById("checkMsg").innerHTML += '<br />Klicken Sie hier, um entweder <a href="' + Linux32Deb + '">die 32-bit</a> oder <a href="' + Linux64Deb + '">die 64-bit</a> Linux-Version zu installieren, oder besuchen Sie <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ES"){
					document.getElementById("checkMsg").innerHTML += '<br />Haga click aquí para instalar <a href="' + Linux32Deb + '">la versi&oacute;n Linux 32 bits</a> o <a href="' + Linux64Deb + '">la versi&oacute;n Linux 64 bits</a>, o visite la p&aacute;gina <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "IT"){
					document.getElementById("checkMsg").innerHTML += '<br />Cliccate qui per aggiornare sia <a href="' + Linux32Deb + '">la versione Linux 32 bits</a>, sia <a href="' + Linux64Deb + '">la versione Linux 64 bits</a>, o allora visitate <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "RU"){
					document.getElementById("checkMsg").innerHTML += '<br />Нажмите здесь, чтобы обновить либо <a href="' + Linux32Deb + '"> 32-битную версию Linux</a> либо <a href="' + Linux64Deb + '">64-битную версию Linux</a>, либо посетите <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ZH"){
					document.getElementById("checkMsg").innerHTML += '<br />点击这里更新 <a href="' + Linux32Deb + '">32位的Linux</a> 或 <a href="' + Linux64Deb + '">64位的Linux</a>，或者访问 <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else {
					document.getElementById("checkMsg").innerHTML += '<br />Click here to upgrade either <a href="' + Linux32Deb + '">the Linux 32 bits release</a> or <a href="' + Linux64Deb + '">the Linux 64 bits release</a>, or visit <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
			}

			//---------- Windows -----------------------------------------------------------------------
			else if (BrowserDetect.OS == "Windows")
			{
				if(LanguageCode == "FR"){
					document.getElementById("checkMsg").innerHTML += '<br><a href="' + WinUpdater + '">Cliquez ici pour mettre &agrave; jour la version Windows</a>, ou bien visitez <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "DE"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinUpdater + '">Klicken Sie hier, um die Windows-Version zu aktualisieren</a>, oder besuchen Sie  <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ES"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinUpdater + '">Haga click aquí para actualizar la versi&oacute;n Windows</a>, o visite la p&aacute;gina  <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "IT"){
					document.getElementById("checkMsg").innerHTML += '<br /><a href="' + WinInstaller + '">Cliccate qui per aggiornare la versione Windows</a>, o allora visitate <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "RU"){
					document.getElementById("checkMsg").innerHTML += '<br><a href="' + WinUpdater + '">Нажмите здесь, чтобы обновить версию для Windows</a>, либо посетите <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
				else if(LanguageCode == "ZH"){
					document.getElementById("checkMsg").innerHTML += '<br><a href="' + WinUpdater + '">点击这里更新 Windows 版本</a>，或者访问 <a href="http://www.ipter.fr">www.ipter.fr</a>.';
				}
				else {
					document.getElementById("checkMsg").innerHTML += '<br><a href="' + WinUpdater + '">Click here to upgrade the Windows release</a>, or visit <a href="http://www.ipter.fr/en">www.ipter.fr</a>.';
				}
			}

			if (!ifIE) {document.getElementById("checkMsg").innerHTML += '<hr />';}
			envIsOK = false;
		}

		
		//====================================================
		//====== Environment is Okay =========================
		//====================================================
		if(envIsOK)
		{
			// Open the VirtualGrip application in a new tab
			// window.open(ActivityFilePath,"_blank");
			
			// Open the VirtualGrip application in the current tab
			window.location = ActivityFilePath;
		}
	}  // end of function checkMyComputer



//// ----------------------- function getVGVersion --------------------------------------
//// Get the version of the plugin VirtualGrip (formerly SpokPlayer)
//// ------------------------------------------------------------------------------------
//// Both formats .spk and .vg are supported
//// Version history: 0.9.5 - [1.0.0] - 1.1.0 - 1.2.0 - 1.3.0 - 1.4.2 - 1.5.5
//// ------------------------------------------------------------------------------------
//// Returned parameters are :
////    isInstalled = true/false
////    version number : vMajor.vMinor.vPatch
//// The following function can be replaced by an inclusion of the following file :
////    /fileadmin/users_files/multimedia/Animations/VGScripts/VGCheckVersion.js
//// ------------------------------------------------------------------------------------
function getVGVersion()
{
	var isInstalled = false;
	var vMajor = -1;
	var vMinor = -1;
	var vPatch = -1;
	var pluginsNber = 0;

	var axNames = new Array("vgripplayer_ax.vgripplayer_ax",
							"vgripplayer_ax.VGripPlayer",   // Current name
							"spokplayer_ax.SpokPlayer", 	// Until version 1.2.0
							"spokplayer_ax.ViewCtl");		// Version 0.9.5
	var NPNames = new Array("VirtualGrip",     // Current name
							"SpokPlayer"); 					// Until version 1.2.0


	// The ActiveX part is for Internet Explorer only since it has no plugins but ActiveX adds-on.
	// For all browsers except Internet Explorer : scan the list of installed plugins.
	// to view that list :
	//		FireFox: type about:plugins to get the list
	//		Safari: menu "Help" --> "Installed plug-ins".
	if (window.ActiveXObject) {
		
	//	alert("getVGVersion - ActiveXObject==true");

		var i=0;
		while( (i<3) && (isInstalled == false) ) {
			try {
				var control = new ActiveXObject(axNames[i]);
				if (control) {
					isInstalled = true;
					if(i == axNames.length - 1) { // The last is revision 0.9.5
						vMajor = 0;
						vMinor = 9;
						vPatch = 5;
					}else{
						var version = control.getVersion().split(".");
						vMajor = version[0];
						vMinor = version[1];
						vPatch = version[2];
					}
				} // end if (control)
			}
			catch(err){
				;
			}  // end try
			i = i+1;
		} // end while
	} 
	else if (navigator.plugins.length > 0) {
		for(var i=0;i<navigator.plugins.length;i++) {
			if( (navigator.plugins[i].name.search(NPNames[0]) == 0) ||
			    (navigator.plugins[i].name.search(NPNames[1]) == 0) )  {
				isInstalled = true;
				var regexp = "[0-9]+\.[0-9]+\.[0-9]+";
				var matches = navigator.plugins[i].description.match(regexp);
				if(matches)	{
					var expression = new String(matches);
					var version = expression.split(".");
					pluginsNber = pluginsNber+1;
					if(version)	{
						// If several valid plugins are present, returns the highest version number
						if(!(version[0]<vMajor || (version[0]==vMajor && version[1]<vMinor) || (version[0]==vMajor && version[1]==vMinor && version[2]<vPatch))){
							vMajor = version[0];
							vMinor = version[1];
							vPatch = version[2];
						}
					}
				}	// if(matches)
			} // if(navigator...)
		} // end for
	} // end if(window.ActiveXObject)

	if(isInstalled) {
		return [true, vMajor, vMinor, vPatch];
	}
	return [false, -1, -1, -1];
}  // end of function getVGVersion


// -------------------------------------------------------
// ----- Get parameters from the ID string of the button
// -------------------------------------------------------
function SplitString(myString){
	LanguageCode = myString[1];
	ActivityName = myString[2];
}
